gtk.HPaned
Prev | The gtk Class Reference | Next

## gtk.HPaned

gtk.HPaned — a container with two panes arranged horizontally.

## Synopsis

    class gtk.HPaned(gtk.Paned):
        gtk.HPaned()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Paned
              +-- gtk.HPaned

## Implemented Interfaces

`gtk.HPaned` implements `gtk.Buildable`

## gtk.HPaned Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Paned Properties

## gtk.HPaned Style Properties

gtk.Widget Style Properties

gtk.Paned Style Properties

## gtk.HPaned Child Properties

gtk.Paned Child Properties

## gtk.HPaned Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Paned Signal Prototypes

## Description

The `gtk.HPaned` is a container widget subclassed from `gtk.Paned` with two children arranged horizontally. The division between the children can be adjusted by the user by dragging a handle. See the `gtk.Paned` description for more information.

## Constructor

        gtk.HPaned()

Returns : | a new hpaned widget

Creates a new `gtk.HPaned` widget.

Prev | Up | Next
gtk.HButtonBox | Home | gtk.HRuler